Bug 13759 - git-build-snapshot misses YUI and dies of sorrow during build
Summary: git-build-snapshot misses YUI and dies of sorrow during build
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P3 major (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-25 14:43 UTC by Mirko Tietgen
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13759 - git-build-snapshot misses YUI and dies of sorrow during build (1.05 KB, patch)
2015-02-25 14:55 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13759 - git-build-snapshot misses YUI and dies of sorrow during build (1.10 KB, patch)
2015-02-26 01:38 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2015-02-25 14:43:21 UTC
Due to a line in debian/rules, git-build-snapshot tries to delete a YUI-related path that does not exist anymore (bug 13612 I guess). Build process ends with an error.

rm: cannot remove `/tmp/buildd/koha-3.19.01/debian/tmp/usr/share/koha/opac/htdocs/opac-tmpl/lib/yui': No such file or directory
Comment 1 Mirko Tietgen 2015-02-25 14:55:26 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2015-02-26 01:38:49 UTC
Created attachment 36173 [details] [review]
Bug 13759 - git-build-snapshot misses YUI and dies of sorrow during build

Due to a line in debian/rules, git-build-snapshot tries to delete a YUI-related
path that does not exist anymore (bug 13612 I guess). Build process ends with an error.
This patch deletes the line.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Comment 3 Robin Sheat 2015-02-26 01:39:26 UTC
That must have crept in just after I did a master build yesterday.
Comment 4 Tomás Cohen Arazi 2015-03-02 15:29:22 UTC
Patch pushed to master.

Thanks Mirko!